OBJS=gettydefs.o
CFLAGS=-O2
LFLAGS=$(CFLAGS) -s
LIBES=-ltermcap

all: getty

gettydefs.o: gettydefs.c
m.o: m.c

m: m.o gettydefs.o
	$(CC) $(CFLAGS) -o m m.o gettydefs.o

getty: getty.o gettydefs.o
	$(CC) $(LFLAGS) -o getty getty.o gettydefs.o $(LIBES)

clean spotless:
	rm -f *.o getty m

install: getty
	install -d $(DESTDIR)/sbin
	install -c -s -m 511 -o root -g bin getty $(DESTDIR)/sbin
